MySQL Upgrade (Windows)

  • 7019195
  • 16-Oct-2013
  • 07-Aug-2017

Environment


MySQL 5.0, 5.1
Windows (for Linux, see "Upgrading MySQL (Linux)")

Situation


I would like to upgrade to Retain 3.x; however, the current database is MySQL 5.1 and Retain 3.x requires 5.5.x or 5.6.x.

DISCLAIMER:

This knowledgebase (KB) article is provided for informational purposes only and as a courtesy service to you, our customer. GWAVA Technical Support does not have any database administration (DBA) expertise, nor does it provide DBA services or support. GWAVA is not responsible for the results of implementing any of the concepts contained in this KB article. Implementation of any of the concepts suggested in this KB article shall be done entirely at your own and sole risk, and GWAVA does not provide any kind of warranties whatsoever resulting from your decision of implementing any of the KB article’s concepts. It is up to you to do any research and to ensure yourself that any implementation and setup of any of the KB article’s concepts in your database system is correctly and properly executed. It is imperative that you have backups of your database system and storage directory before making any implementation. If you don’t have any DBA expertise, you should consult with a DBA expert before any implementation of the KB article’s concepts.  Under no circumstances, shall GWAVA, or any of its employees, be liable, in contract, tort, delict or otherwise, whether negligence is provable or not, for any direct, indirect, incidental, special, punitive, consequential or other damages, loss, cost or liability whatsoever that would result from or are related to the implementation of any of the concepts suggested in the KB article.


To the extent permitted by applicable law, GWAVA shall not be liable to you for any special, consequential, direct, indirect or similar damages, including any loss of data, arising out from migrating any type of messages, attachments, database, metadata in your Retain system to another server and/or location.

Resolution

MySQL must be upgraded.


Upgrading MySQL

1.  Stop Tomcat on the Retain server.

2.  Perform a dump of the database.

3.  Download MySQL 5.x (supported versions for Retain 3.5 are 5.5 and 5.6). onto the server on which you want to install it.

4.  Install MySQL and configure the retain database.

Refer to the appendix of the Windows Install Guide for instructions.

5.  Import the dump into the new retain database.
a)  Open a command window (cmd).

c)  Change directories to:  C:\Program Files\MySQL\MySQL Server 5.0\bin  (the beginning of the path depends upon where MySQL was installed).

b)  Type:  mysql -u root -p retain < [path to dump file]\[dump filename]

EX:  mysql -u root -p retain < d:\dump\2013-12-11.sql

NOTE: This assumes that the ..\MySQL\bin directory is in the path.

6.  (Optional) Reboot the server to clear memory; otherwise, just start Tomcat.

Additional Information

This article was originally published in the GWAVA knowledgebase as article ID 2228.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.